%define		vendor_ver	1.5.0

Summary:	Feature-rich Interactive Jira Command Line
Name:		jira-cli
Version:	1.5.0
Release:	1
License:	MIT
Group:		Applications/Console
#Source0Download: https://github.com/ankitpokhrel/jira-cli/releases
Source0:	https://github.com/ankitpokhrel/jira-cli/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	b9b9528791aa02d602efd80342d0a363
# cd jira-cli-%{version}
# go mod vendor
# cd ..
# tar cJf jira-cli-vendor-%{version}.tar.xz jira-cli-v%{version}/vendor
Source1:	%{name}-vendor-%{vendor_ver}.tar.xz
# Source1-md5:	ba5fa0c8b692966d6eea7480367a390b
URL:		https://github.com/ankitpokhrel/jira-cli
BuildRequires:	golang >= 1.19
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.009
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
ExclusiveArch:	%go_arches
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_debugsource_packages	0

%description
JiraCLI is an interactive command line tool for Atlassian Jira that
will help you avoid Jira UI to some extent.

%package -n bash-completion-jira-cli
Summary:	bash-completion for jira-cli
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-jira-cli
This package provides bash-completion for jira-cli.

%package -n zsh-completion-jira-cli
Summary:	Zsh completion for jira-cli
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	zsh
BuildArch:	noarch

%description -n zsh-completion-jira-cli
Zsh completion for jira-cli.

%prep
%setup -q -a1

%{__mv} jira-cli-%{vendor_ver}/vendor .

%{__mkdir_p} .go-cache

%build
%__go build -v -mod=vendor -ldflags "-X github.com/ankitpokhrel/jira-cli/internal/version.Version=%{version}" -o bin/jira github.com/ankitpokhrel/jira-cli/cmd/jira

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man7,%{bash_compdir},%{zsh_compdir}}

cp -p bin/jira $RPM_BUILD_ROOT%{_bindir}

$RPM_BUILD_ROOT%{_bindir}/jira man --generate --output $RPM_BUILD_ROOT%{_mandir}/man7
$RPM_BUILD_ROOT%{_bindir}/jira completion bash > $RPM_BUILD_ROOT%{bash_compdir}/jira
$RPM_BUILD_ROOT%{_bindir}/jira completion zsh > $RPM_BUILD_ROOT%{zsh_compdir}/_jira

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/jira
%{_mandir}/man7/jira*.7*

%files -n bash-completion-jira-cli
%defattr(644,root,root,755)
%{bash_compdir}/jira

%files -n zsh-completion-%{name}
%defattr(644,root,root,755)
%{zsh_compdir}/_jira
%changelog
* Wed Jan 10 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/jira-cli.git;a=log;h=master

* Wed Jan 10 2024 Jan Palus <atler@pld-linux.org> aa437d8
- up to 1.5.0

* Tue May 09 2023 Jan Palus <atler@pld-linux.org> 9ad7d70
- up to 1.4.0

* Wed Jan 11 2023 Jan Palus <atler@pld-linux.org> d4a2738
- up to 1.3.0

* Sat Dec 17 2022 Jan Palus <atler@pld-linux.org> 3f4c519
- up to 1.2.0

* Sun Aug 14 2022 Jan Palus <atler@pld-linux.org> 9a8789a
- correct bash-completion epoch

* Sun Aug 14 2022 Jan Palus <atler@pld-linux.org> 3f34ebd
- up to 1.1.0

* Mon Jul 04 2022 Jan Palus <atler@pld-linux.org> cb6fea3
- new

